## CCMPreferencesPage CCMPreferencesPage |

## Synopsis

                        CCMPreferencesPage;
    CCMPreferencesPage* ccm_preferences_page_new            (gint screen_num);
    GtkWidget*          ccm_preferences_page_get_widget     (CCMPreferencesPage *self);

## Object Hierarchy

      GObject
       +----CCMPreferencesPage

## Implemented Interfaces

CCMPreferencesPage implements CCMPreferencesPagePlugin.

## Signals

      "need-restart"                                   : Run Last
      "plugin-state-changed"                           : Run Last

## Description

## Details

### CCMPreferencesPage

    typedef struct _CCMPreferencesPage CCMPreferencesPage;

### ccm_preferences_page_new ()

    CCMPreferencesPage* ccm_preferences_page_new            (gint screen_num);

`screen_num` : |
Returns : |

### ccm_preferences_page_get_widget ()

    GtkWidget*          ccm_preferences_page_get_widget     (CCMPreferencesPage *self);

`self` : |
Returns : |

## Signal Details

### The `"need-restart"` signal

    void                user_function                      (CCMPreferencesPage *ccmpreferencespage,
                                                            gpointer            arg1,
                                                            gpointer            arg2,
                                                            gpointer            user_data)               : Run Last

`ccmpreferencespage` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.

### The `"plugin-state-changed"` signal

    void                user_function                      (CCMPreferencesPage *ccmpreferencespage,
                                                            gchar              *arg1,
                                                            gboolean            arg2,
                                                            gpointer            user_data)               : Run Last

`ccmpreferencespage` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.